Package org.apache.sysds.runtime.compress.workload

# Class WTreeNode

java.lang.Object
org.apache.sysds.runtime.compress.workload.AWTreeNode
org.apache.sysds.runtime.compress.workload.WTreeNode

public class WTreeNode extends AWTreeNode
A Node in the WTree, this is used for any nodes that are not the root.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.compress.workload.AWTreeNode

`AWTreeNode.WTNodeType`

## Constructor Summary

Constructors
Constructor
Description
`WTreeNode(AWTreeNode.WTNodeType type, int reps)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getReps()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.AWTreeNode

`addChild, addOp, getChildNodes, getOps, getType, isEmpty, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WTreeNode

public WTreeNode(AWTreeNode.WTNodeType type, int reps)

## Method Details

### getReps

public int getReps()